<?php
namespace FiloBlu\Storelocator\Model\Stores\Source;

class IsEnabled implements \Magento\Framework\Data\OptionSourceInterface
{
    /**
     * @var \FiloBlu\Storelocator\Model\Stores
     */
    protected $store;

    /**
     * Constructor
     *
     * @param \FiloBlu\Storelocator\Model\Stores $store
     */
    public function __construct(\FiloBlu\Storelocator\Model\Stores $store)
    {
        $this->store = $store;
    }

    /**
     * Get options
     *
     * @return array
     */
    public function toOptionArray()
    {
        $options[] = ['label' => '', 'value' => ''];
        $availableOptions = $this->store->getAvailableStatuses();

        foreach ($availableOptions as $key => $value) {
            $options[] = [
                'label' => $value,
                'value' => $key,
            ];
        }
        return $options;
    }
}